> For the complete documentation index, see [llms.txt](https://docs.commercelayer.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.commercelayer.io/metrics-api-reference/helpers/analysis/fbt.md).

# FBT

A comprehensive list of the FBT allowed filterable fields values and operators

To perform an FBT query send a `POST` request to the `/analysis/fbt` endpoint specifying the item ID(s) in the [filter](#filterable-fields-and-allowed-operators) without any extra query keys:

```json
{
  "filter": {
    "line_items": {
      "item_ids": {
        "in": [
          "...",
          "..."

          // ...

        ]
      }
    }
  },
  "meta": { ... }
}
```

{% hint style="info" %}
Please find more information on how the FBT queries work [here](/metrics/getting-started/analysis/fbt.md).
{% endhint %}

## Filterable fields and allowed operators

Please find below the full list of the fields (and related attributes) you can use in the `filter` object of a FBT query, and the associated allowed values and valid operators.

#### `line_items` field

| Attribute      | Type   | Values                                           |
| -------------- | ------ | ------------------------------------------------ |
| **`item_ids`** | Object | <p>One of:</p><p><code>"in": \["..."]</code></p> |

{% hint style="info" %}
The `item_ids.in` object is a list of SKU or bundle IDs associated as line items to one or more orders and the `in` operator works according to the `AND` logic (i.e. matches *all* of the specified array's values).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.commercelayer.io/metrics-api-reference/helpers/analysis/fbt.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
